<?php
//目标主站
$barurl="http://weiba.weibo.com";
//获取采集网页内容
$content=book_geturldata($_GET['url'],$barurl);
$content=mb_convert_encoding($content, "gbk", "UTF-8");
//获取贴子主题
$preg='/<div class="tit">(.*?)            /';
preg_match($preg, $content, $zt);
$theme=html_replace($zt[1]);
//计算发贴时间
$zttime[0]=date('Y-m-d H:i:s',strtotime(date('Y-m-d H:i:s'))+$core_time*3600);
//获取贴子内容
$preg='/<\!--\[if \!IE\]> 13  <\!\[endif\]-->(.*[\s\S]+?)<div class="text_info_operate W_textc">/';
preg_match($preg, $content, $nr);
$preg='/<img(.*?)src="(.*?)"(.*?)>/';
if($_GET['bendihua']=="1")
{
  preg_match_all($preg, $nr[1], $tp);
  for($j=0;$j<count($tp[2]);$j++)
  {
    if($tupian[0]=="")
      $tupian[0]=$tp[2][$j];//图片
	else
      $tupian[0]=$tupian[0]."|".$tp[2][$j];
  }
}
$nr[1]=str_replace('<b>','',$nr[1]);
$nr[1]=str_replace('</b>','',$nr[1]);
$nr[1]=str_replace('<p>','',$nr[1]);
$nr[1]=str_replace('</p>','',$nr[1]);
$nr[1]=str_replace('<div>',chr(13),$nr[1]);
$nr[1]=str_replace('</div>',chr(13),$nr[1]);
$nr[1]=str_replace('<strong>','',$nr[1]);
$nr[1]=str_replace('</strong>','',$nr[1]);
$nr[1]=preg_replace($preg,'[img]\\2[/img]',$nr[1]);//内容
$nr[1]=str_replace('<br>',chr(13),$nr[1]);
$nr[1]=nl2br(html_replace(autolink($nr[1])));
$nr[1]=str_replace('<br />','',$nr[1]);
//贴子内容
$contents[0]=$nr[1];
//$theme-主题  $zttime-发贴时间  $tupian-图片
?>